Skip to main content
GET
/
profiles
/
v1
/
patient
/
{oid}
Retrieve patient profile
curl --request GET \
  --url https://api.eka.care/profiles/v1/patient/{oid} \
  --header 'Authorization: Bearer <token>' \
  --header 'client-id: <client-id>'
import requests

url = "https://api.eka.care/profiles/v1/patient/{oid}"

headers = {
    "client-id": "<client-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.eka.care/profiles/v1/patient/{oid}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "oid": "175074536120088",
  "wid": "77088166996724",
  "ps": "P",
  "c_ate": 1750745358,
  "u_ate": 1750745358,
  "gen": "M",
  "dob": "2000-01-02",
  "is_age": true,
  "fn": "Eka",
  "ln": "User",
  "fln": "Eka User",
  "bg": "B+",
  "mobile": "1201201201",
  "ccd": "+91",
  "email": "eka.user@example.com",
  "username": "ABC001",
  "s": "Mr.",
  "abha": "example@abdm"
}
{
  "error": {
    "message": "Invalid Gender Enum",
    "code": "invalid_request"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

client-id
string
required
Example:

"EC_1431"

Path Parameters

oid
string
required
Example:

18661861868168

Response

Patient profile details

oid
string
Example:

"175074536120088"

wid
string
Example:

"77088166996724"

ps
string
Example:

"P"

c_ate
integer
Example:

1750745358

u_ate
integer
Example:

1750745358

gen
string
Example:

"M"

dob
string<date>
Example:

"2000-01-02"

is_age
boolean
Example:

true

fn
string
Example:

"Eka"

ln
string
Example:

"User"

fln
string
Example:

"Eka User"

bg
string
Example:

"B+"

mobile
string
Example:

"1201201201"

ccd
string
Example:

"+91"

email
string<email>
Example:

"eka.user@example.com"

username
string
Example:

"ABC001"

s
string
Example:

"Mr."

abha
string
Example:

"example@abdm"